libxklavier is built without XInput support

Bug #363169 reported by Sergey V. Udaltsov
36
This bug affects 2 people
Affects Status Importance Assigned to Milestone
libxklavier (Ubuntu)
Fix Released
Low
Ubuntu Desktop Bugs
Declined for Intrepid by Martin Pitt
Jaunty
Fix Released
Wishlist
Ubuntu Desktop Bugs
Karmic
Fix Released
Low
Ubuntu Desktop Bugs

Bug Description

The visible issue is that gnome-settings-daemon does not reconfigure USB kbd when it is plugged out-in.
The reason for that is that libxklavier is not notified about XInput event.

TESTCASE:
* configure custom settings for an usb keyboard
* unplug the keyboard
* connect it again and see if the changes are applied again or not

Revision history for this message
Sergey V. Udaltsov (sergey-udaltsov) wrote :

May be, xinput-dev should be put into build-prereq

Revision history for this message
Sergey V. Udaltsov (sergey-udaltsov) wrote :

(I mean libxi-dev), and libxi should be in hard dependencies

Revision history for this message
Sebastien Bacher (seb128) wrote :

thank you for your bug report, confirming that the package lacks a build-depends there

Changed in libxklavier (Ubuntu):
importance: Undecided → Low
status: New → Confirmed
assignee: nobody → Ubuntu Desktop Bugs (desktop-bugs)
milestone: none → jaunty-updates
Revision history for this message
Sebastien Bacher (seb128) wrote :
Changed in libxklavier (Ubuntu Jaunty):
assignee: nobody → Ubuntu Desktop Bugs (desktop-bugs)
importance: Undecided → Wishlist
status: New → Fix Committed
description: updated
Revision history for this message
Martin Pitt (pitti) wrote :

Is this a regression from intrepid/hardy? If so, please mark it as such.

Revision history for this message
Sergey V. Udaltsov (sergey-udaltsov) wrote :

No. It was broken in intrepid. Before. xorg did not reconfigure xkb on kbd insertion.

Revision history for this message
Martin Pitt (pitti) wrote :

Since this is not a regression and also not a major bug, please give some rationale why this is so urgent for an SRU. Or can we just skip it for Jaunty? (It's not even fixed in karmic yet, let alone tested properly)

Changed in libxklavier (Ubuntu):
milestone: jaunty-updates → none
Changed in libxklavier (Ubuntu Jaunty):
status: Fix Committed → Incomplete
Revision history for this message
Sergey V. Udaltsov (sergey-udaltsov) wrote :

This is a regression in 8.10 comparing to 8.04. But it could not be fixed then. Now it can.

It affects all laptop users using docking stations, probably(?) affects them on suspend/wake operations. It is not that minor actually...

Well, may be it could be tested in karmic, if you feel this is needed.

Revision history for this message
Martin Pitt (pitti) wrote : Re: [Bug 363169] Re: libxklavier is built without XInput support

Sergey V. Udaltsov [2009-04-29 10:29 -0000]:
> Well, may be it could be tested in karmic, if you feel this is needed.

That would be nice, yes.

Revision history for this message
Sergey V. Udaltsov (sergey-udaltsov) wrote :

At this point I have not switched to Karmic yet. Sebastien, do you have any machine with Karmic?

Revision history for this message
Nat Tuck (nat-ferrus) wrote :

This is a regression compared to 8.10 in that 9.04 broke the work-around for it. In 8.10 it was at least possible to say "ctrl:nocaps" in xorg.conf.

Revision history for this message
Sergey V. Udaltsov (sergey-udaltsov) wrote :

Would it be possible to provide the updated deb in some PPA, at least - till the decision is made regarding official update for Jaunty (or, in the worst case, till October)? I can do it in my PPA - but probably there are more 'visible'/'official' places?

Revision history for this message
Martin Pitt (pitti) wrote :

Sergey V. Udaltsov [2009-05-21 9:09 -0000]:
> Would it be possible to provide the updated deb in some PPA, at least -
> till the decision is made regarding official update for Jaunty (or, in
> the worst case, till October)? I can do it in my PPA - but probably
> there are more 'visible'/'official' places?

Right now we don't have a more official place, I'm afraid. But
people reading this bug report will see the link to your PPA, so that
should be fine for testing.

Thanks, Martin

Revision history for this message
Sergey V. Udaltsov (sergey-udaltsov) wrote :

I've uploaded the updated package for jaunty to my ppa (https://launchpad.net/~sergey-udaltsov/+archive/ppa). It seems ok for me. Sebastien, could you please check?

Revision history for this message
Sergey V. Udaltsov (sergey-udaltsov) wrote :

Sebastien, Martin, any chance to get that fixed?

Revision history for this message
Larry Reid (lcreid) wrote :

Thanks, Sergey. I can confirm that updating libxklavier from your PPA fixed the problem for me on 9.04.

For those who have been having this problem:

1) Read about updating from PPAs here: https://help.launchpad.net/Packaging/PPA#Installing%20software%20from%20a%20PPA

2) Add Sergey's PPA to your apt sources: https://launchpad.net/~sergey-udaltsov/+archive/ppa

3) Update your software, making sure that one of the packages updated is "libxklavier - 3.9-0ubuntu3"

4) Restart your computer

Revision history for this message
Bart Kroon (tarmack) wrote :

I installed libxklavier12 from Sergey V. Udaltsov's PPA and it works perfect, now I can use "that other OS's" key to make lancelot come up.
Thanks allot Sergey.
I will try the karmic version some time soon, to see if it solves this bug also.

Revision history for this message
Bart Kroon (tarmack) wrote :

Just tested the karmic version of libxklavier12 and it seems to icorporate the fix, so the PPA is only needed for those not willing to cherypick from the kamic development release.
also this would mean a fix has been approved by the ubuntu developers so it would probably not be a problem for them to incorporate it in jaunty-proposed I guess.

Revision history for this message
Martin Pitt (pitti) wrote :

Confirmed fixed in Karmic.

Changed in libxklavier (Ubuntu Karmic):
status: Confirmed → Fix Released
Revision history for this message
Martin Pitt (pitti) wrote :

Karmic has used this for a while, so let's do the jaunty SRU now.

Changed in libxklavier (Ubuntu Jaunty):
status: Incomplete → Fix Committed
Revision history for this message
Martin Pitt (pitti) wrote :

Accepted into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Revision history for this message
Martin Pitt (pitti) wrote :

(Sorry, this already got accepted into -proposed two weeks ago, but I forgot to send out the call for testing)

Revision history for this message
Larry Reid (lcreid) wrote :

I've been running Jaunty for two days now with the updates from -proposed and the problem has been solved. The keyboard settings are maintained when plugging and unplugging the USB keyboard.

Martin Pitt (pitti)
tags: added: verification-donee
removed: verification-needed
tags: added: verification-done
removed: verification-donee
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libxklavier - 3.9-0ubuntu2

---------------
libxklavier (3.9-0ubuntu2) jaunty-proposed; urgency=low

  * debian/control:
    - build-depends on libxi-dev so keyboard changes are dynamic
      (lp: #363169)

 -- Sebastien Bacher <email address hidden> Mon, 27 Apr 2009 23:44:31 +0200

Changed in libxklavier (Ubuntu Jaunty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Duplicates of this bug

Other bug subscribers